package com.inspect.system.mapper;

import com.inspect.system.domain.SysUserRole;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface SysUserRoleMapper {
    int deleteUserRoleByUserId(Long userId);

    int deleteUserRole(Long[] userIds);

    int countUserRoleByRoleId(Long roleId);

    int batchUserRole(List<SysUserRole> userRoleList);

    int deleteUserRoleInfo(SysUserRole sysUserRole);

    int deleteUserRoleInfos(@Param("roleId") Long roleId, @Param("userIds") Long[] userIds);
}
